~={green}Пример хранения данных в текстовом файлу в формате ключ=значение:=~
```
название=Тихий Дон
автор=Михаил Шолохов
описание=Одно из наиболее значительных, масштабных и талантливых произведений русскоязычной литературы, принесшее автору Нобелевскую премию.
обложка=https://cdn.rroom.io/17558b4d-59dd-4f8e-b2c7-51b0d7da5216.png
```
~={green}Пример хранения тех же данных в текстовом файле в формате JSON:=~
```json
{
    "name": "Тихий Дон",
    "author": "Михаил Шолохов",
    "description": "Одно из наиболее значительных, масштабных и талантливых произведений русскоязычной литературы, принесшее автору Нобелевскую премию.",
    "cover": "https://cdn.rroom.io/17558b4d-59dd-4f8e-b2c7-51b0d7da5216.png"
}
```
~={green}Пример хранения тех же данных в текстовом файле в формате XML:=~
```html
<book>
    <name>Тихий Дон</name>
    <author>Михаил Шолохов</author>
    <description>Одно из наиболее значительных, масштабных и талантливых произведений русскоязычной литературы, принесшее автору Нобелевскую премию.</description>
    <cover>https://cdn.rroom.io/17558b4d-59dd-4f8e-b2c7-51b0d7da5216.png</cover>
</book>
```

~={cyan}Упражнения=~

```json
{
    "cities": [
        {
            "name": "Москва",
            "population": 13149803,
            "child_cities": [
                {
                    "name": "Зеленоград"
                }
            ]
        },
        {
            "name": "Санкт-Петербург",
            "population": 5597763
        },
        {
            "name": "Кемпендяй",
            "population": 357
        },
        {
            "name": "Пеледуй",
            "population": 3578
        },
        {
            "name": "Чаплыгин"
        }
    ]
}

```

```xml
<cities>
<city>
<name>Москва</name>
<population>13149803</population>
<child_cities>
<city>
<name>Зеленоград</name>
</city>
</child_cities>
</city>
<city>
<name>Санкт-Петербург</name>
<population>5597763</population>
</city>
<city>
<name>Кемпендяй</name>
<population>357</population>
</city>
<city>
<name>Пеледуй</name>
<population>3578</population>
</city>
<city>
<name>Чаплыгин</name>
</city>
</cities>
```
